Skip to content

Retrieve Staff Working Hours Schedule

GET
/businesses/{businessId}/staff/{staffId}/working-hours-schedules/{workingHoursScheduleId}
curl --request GET \
--url https://api.upvio.com/v1/businesses/example/staff/example/working-hours-schedules/example \
--header 'Authorization: Bearer <token>'

Experimental Feature. Subject to change. Retrieve a Working Hours Schedule for a Staff.

businessId
required

The ID of the Business.

string
staffId
required

The ID of the Staff.

string
workingHoursScheduleId
required

The ID of the Working Hours Schedule.

string

A Working Hours Schedules

Media type application/json
Working Hours Schedule

A schedule to use with Staff to plan availability.

object
id
required

Unique identifier across the platform.

string format: uuid
createdAt
required

Time when the resource was created (ISO 8601 format).

string format: date-time
updatedAt
required

Time when the resource was created (ISO 8601 format).

string format: date-time
staffId
required

The ID of the Staff this resource belongs to.

string format: uuid
workingHours
required

A configuration to define active hours.

object
monday

A group of active hours for a single day.

Array<Array<number>>
tuesday

A group of active hours for a single day.

Array<Array<number>>
wednesday

A group of active hours for a single day.

Array<Array<number>>
thursday

A group of active hours for a single day.

Array<Array<number>>
friday

A group of active hours for a single day.

Array<Array<number>>
saturday

A group of active hours for a single day.

Array<Array<number>>
sunday

A group of active hours for a single day.

Array<Array<number>>
timezone

The timezone for this schedule

string
dateStart
required
string format: date-time
dateEnd
string format: date-time
Example
{
"workingHours": {
"monday": [
[
900,
1200
],
[
1300,
1700
]
],
"tuesday": [
[
900,
1200
],
[
1300,
1700
]
],
"wednesday": [
[
900,
1200
],
[
1300,
1700
]
],
"thursday": [
[
900,
1200
],
[
1300,
1700
]
],
"friday": [
[
900,
1200
],
[
1300,
1700
]
],
"saturday": [
[
900,
1200
],
[
1300,
1700
]
],
"sunday": [
[
900,
1200
],
[
1300,
1700
]
]
},
"timezone": "America/New_York",
"dateStart": "2024-01-01T00:00:00Z",
"dateEnd": "2024-01-08T00:00:00Z"
}